Skip to main content

Fill Form

POST /v1/browser/interactions/fill

Fill a form field

Authentication

Requires authentication via: OAuth2PasswordBearer.

Parameters

NameInTypeRequiredDescriptionConstraints
X-API-Keyheaderstring | nullNonullable

Request Body

Required: Yes

application/json

Resolved schema:

{
"properties": {
"selector": {
"type": "string",
"title": "Selector"
},
"value": {
"type": "string",
"title": "Value"
},
"session_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Session Id"
},
"timeout": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Timeout",
"default": 30000
}
},
"type": "object",
"required": [
"selector",
"value"
],
"title": "BrowserFillRequest",
"description": "Request schema for filling form fields"
}

Field details:

FieldTypeRequiredDescriptionConstraints
selectorstringYes
valuestringYes
session_idstring | nullNonullable
timeoutinteger | nullNonullable

Responses

200

Successful Response

application/json

Resolved schema:

{
"properties": {
"success": {
"type": "boolean",
"title": "Success"
},
"message": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Message"
},
"execution_time": {
"type": "number",
"title": "Execution Time"
},
"session_id": {
"type": "string",
"title": "Session Id"
},
"data": {
"anyOf": [
{
"type": "object"
},
{
"type": "null"
}
],
"title": "Data"
}
},
"type": "object",
"required": [
"success",
"execution_time",
"session_id"
],
"title": "BrowserInteractionResponse",
"description": "Generic response for browser interactions"
}

Field details:

FieldTypeRequiredDescriptionConstraints
successbooleanYes
messagestring | nullNonullable
execution_timenumberYes
session_idstringYes
dataobject | nullNonullable

422

Validation Error

application/json

Resolved schema:

{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}

Field details:

FieldTypeRequiredDescriptionConstraints
detailarray<object>No
detail[]objectNo
detail[].locarray<string | integer>No
detail[].loc[]string | integerNo
detail[].msgstringNo
detail[].typestringNo